| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
wxSystemSettings Class Reference
Application and System configuration

`#include <wx/settings.h>`

Inheritance diagram for wxSystemSettings:
[legend]

## Detailed Description

wxSystemSettings allows the application to ask for details about the system.

This can include settings such as standard colours, fonts, and user interface element sizes.

##

Library: wxCore
Category: Application and System configuration

See Also
  wxFont, wxColour, wxSystemOptions

## Public Member Functions

| wxSystemSettings ()
| Default constructor.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Static Public Member Functions

static wxColour | GetColour (wxSystemColour index)
| Returns a system colour.
static wxFont | GetFont (wxSystemFont index)
| Returns a system font.
static int | GetMetric (wxSystemMetric index, wxWindow *win=NULL)
| Returns the value of a system metric, or -1 if the metric is not supported on the current system.
static wxSystemScreenType | GetScreenType ()
| Returns the screen type.
static bool | HasFeature (wxSystemFeature index)
| Returns true if the port has certain feature.

## Additional Inherited Members

Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

wxSystemSettings::wxSystemSettings | ( |  | ) |

Default constructor.

You don't need to create an instance of wxSystemSettings since all of its functions are static.

## Member Function Documentation

static wxColour wxSystemSettings::GetColour | ( | wxSystemColour | index | ) |

static

Returns a system colour.

Parameters

  index | Can be one of the wxSystemColour enum values.

Returns
  The returned colour is always valid.

static wxFont wxSystemSettings::GetFont | ( | wxSystemFont | index | ) |

static

Returns a system font.

Parameters

  index | Can be one of the wxSystemFont enum values.

Returns
  The returned font is always valid.

static int wxSystemSettings::GetMetric | ( | wxSystemMetric | index,
|  | wxWindow * | win = `NULL`
| ) |  |

static

Returns the value of a system metric, or -1 if the metric is not supported on the current system.

The value of win determines if the metric returned is a global value or a wxWindow based value, in which case it might determine the widget, the display the window is on, or something similar. The window given should be as close to the metric as possible (e.g. a wxTopLevelWindow in case of the wxSYS_CAPTION_Y metric).

index can be one of the wxSystemMetric enum values.

win is a pointer to the window for which the metric is requested. Specifying the win parameter is encouraged, because some metrics on some ports are not supported without one,or they might be capable of reporting better values if given one. If a window does not make sense for a metric, one should still be given, as for example it might determine which displays cursor width is requested with wxSYS_CURSOR_X.

static wxSystemScreenType wxSystemSettings::GetScreenType | ( |  | ) |

static

Returns the screen type.

The return value is one of the wxSystemScreenType enum values.

static bool wxSystemSettings::HasFeature | ( | wxSystemFeature | index | ) |

static

Returns true if the port has certain feature.

See the wxSystemFeature enum values.